Bug 58248 - Crash during installation
Crash during installation
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-11 16:05 EST by Need Real Name
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-15 14:04:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-01-11 16:05:23 EST
Description of Problem:
After repartitioning of hdd with disk druid, installation process crashed.

Version-Release number of selected component (if applicable):
RedHat 7.2

How Reproducible:


Steps to Reproduce:
1. 
2. 
3. 

Actual Results:
Traceback (innermost last):
  File "/usr/bin/anaconda", line 620, in ?
    intf.run(id, dispatch, configFileData)
  File "/usr/lib/anaconda/gui.py", line 350, in run
    self.icw.run (self.runres, configFileData)
  File "/usr/lib/anaconda/gui.py", line 778, in run
    mainloop ()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 2608, in mainloop
    _gtk.gtk_main()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 125, in __call__
    ret = apply(self.func, a)
  File "/usr/lib/anaconda/gui.py", line 402, in nextClicked
    self.setScreen ()
  File "/usr/lib/anaconda/gui.py", line 518, in setScreen
    exec s
  File "<string>", line 1, in ?
ImportError: cannot import name BootloaderWindow

Local variables in innermost frame:
args: (<dispatch.Dispatcher instance at 84a2f08>, <bootloader.x86BootloaderInfo 
instance at 850bd80>, <fsset.FileSystemSet instance at 849eaf0>, 
<partitioning.DiskSet instance at 850bd20>)
self: <gui.InstallControlWindow instance at 8688928>
newScreenClass: None
s: from bootloader_gui import BootloaderWindow; newScreenClass = 
BootloaderWindow
file: bootloader_gui
step: bootloader
className: BootloaderWindow


Dispatcher instance, containing members:
skipSteps: {'reconfigwelcome': 1, 'addswap': 1, 'indivpackage': 
1, 'upgrademigratefs': 1, 'findpackages': 1, 'reconfigkeyboard': 
1, 'makebootdisk': 1, 'autopartitionexecute': 1, 'upgrademount': 
1, 'autopartition': 1, 'confirmupgrade': 1, 'fdisk': 
1, 'upgradeswapsuggestion': 1, 'upgrademigfind': 1, 'findinstall': 
1, 'findrootparts': 
1,                                                                              
                


Expected Results:


Additional Information:
Comment 1 Jeremy Katz 2002-01-15 14:04:32 EST
There should be more of a traceback than this, but my initial guess would be a
bad  CD.  Could you please attach the full traceback info saved to floppy?
Comment 2 Brent Fox 2002-01-26 22:19:45 EST
Closing due to inactivity.  Please reopen if you have more information.

Note You need to log in before you can comment on or make changes to this bug.